<template>
  <div
    id="mapView"
    class="mapView"
  ></div>
</template>

<script lang="ts" setup>
import olMap from "@/assets/js/Map/olMap";
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
} from "vue";
onMounted(() => {
  olMap.initMap();
});
</script>

<style  lang="less" scoped>
.mapView {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  position: absolute;
}
</style>